/*
 * @Author: WuXiangNan
 * @Date: 2021-07-05 09:55:46
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-07-07 17:45:28
 * @Description: 
 */

class DirectoryList {
  String? id;
  String? companyId;
  String? name;
  String? parentId;
  int? userSpace;
  String? updateAt;

  DirectoryList(
      {this.id,
      this.companyId,
      this.parentId,
      this.name,
      this.userSpace,
      this.updateAt});

  DirectoryList.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});
    id = map['id'];
    companyId = map['companyId'];
    parentId = map['parentId'];
    name = map['name'];
    userSpace = map['userSpace'];
    updateAt = map['updateAt'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['companyId'] = this.companyId;
    json['parentId'] = this.parentId;
    json['name'] = this.name;
    json['userSpace'] = this.userSpace;
    json['updateAt'] = this.updateAt;

    return json;
  }
}
